%define	_root_sbindir	/sbin
%define	_root_libdir	/%{_lib}
%define dist		.el5

Summary: utilities for NILFS v2
Name: nilfs-utils
Version: 2.1.6
License: GPL
Group: System Environment/Base
Source: http://www.nilfs.org/download/%{name}-%{version}.tar.bz2
Prefix: /usr
Provides: %{name} = %{version}
Release: 9%{?dist}
Url: http://www.nilfs.org/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: redhat-rpm-config
BuildRequires: rpm-build
BuildRequires: gcc
BuildRequires: make
BuildRequires: binutils
BuildRequires: coreutils
BuildRequires: libselinux-devel
BuildRequires: e2fsprogs-libs

Obsoletes: %{name} <= %{version}-%{release}
%description
The utilities for NILFS v2

%prep
%setup -q

%build
%configure --with-selinux --without-blkid
make

%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}" root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/nilfs_cleanerd.conf
%{_root_sbindir}/mkfs.nilfs2
%{_root_sbindir}/mount.nilfs2
%{_root_sbindir}/nilfs-clean
%{_root_sbindir}/nilfs_cleanerd
%{_root_sbindir}/nilfs-tune
%{_root_sbindir}/nilfs-resize
%{_root_sbindir}/umount.nilfs2
%{_bindir}/chcp
%{_bindir}/dumpseg
%{_bindir}/lscp
%{_bindir}/lssu
%{_bindir}/mkcp
%{_bindir}/rmcp
%{_includedir}/nilfs.h
%{_includedir}/nilfs2_fs.h
%{_includedir}/nilfs_cleaner.h
%{_libdir}/libnilfs.a
%{_libdir}/libnilfs.la
%{_libdir}/libnilfs.so
%{_libdir}/libnilfs.so.*
%{_libdir}/libnilfscleaner.a
%{_libdir}/libnilfscleaner.la
%{_libdir}/libnilfscleaner.so
%{_libdir}/libnilfscleaner.so.0
%{_libdir}/libnilfscleaner.so.0.*
%{_libdir}/libnilfsgc.a
%{_libdir}/libnilfsgc.la
%{_libdir}/libnilfsgc.so
%{_libdir}/libnilfsgc.so.0
%{_libdir}/libnilfsgc.so.0.0.0
%{_mandir}/man1/lscp.1.gz
%{_mandir}/man1/lssu.1.gz
%{_mandir}/man5/nilfs_cleanerd.conf.5.gz
%{_mandir}/man8/chcp.8.gz
%{_mandir}/man8/dumpseg.8.gz
%{_mandir}/man8/mkcp.8.gz
%{_mandir}/man8/mkfs.nilfs2.8.gz
%{_mandir}/man8/mount.nilfs2.8.gz
%{_mandir}/man8/nilfs_cleanerd.8.gz
%{_mandir}/man8/nilfs-tune.8.gz
%{_mandir}/man8/nilfs.8.gz
%{_mandir}/man8/rmcp.8.gz
%{_mandir}/man8/umount.nilfs2.8.gz
%{_mandir}/man8/nilfs-clean.8.gz
%{_mandir}/man8/nilfs-resize.8.gz

%changelog
* Wed Jan 29 2014 Seiji Kihara <kihara@osrg.net> 2.1.6-9
- Removed the patch b6d500f7 contained in the original source archive.

* Sat Jun 15 2013 Seiji Kihara <kihara@osrg.net> 2.1.5-8
- Added build dependency to e2fsprogs-libs.
- Enabled and used --without-blkid, by adopting commit b6d500f7.

* Sat Jul  7 2012 Seiji Kihara <kihara@osrg.net> 2.1.4-7
- Enabled selinux.

* Sat Nov 26 2011 Seiji Kihara <kihara@osrg.net> 2.1.0-6
- Added files introduced from 2.1.0.

* Mon Oct 2 2010 Seiji Kihara <kihara@osrg.net> 2.0.21-5
- Added support for kernels < 2.6.19 which do not have magic.h.

* Mon Oct 2 2010 Seiji Kihara <kihara@osrg.net> 2.0.20-4
- Added nilfs-tune.

* Mon Jul 20 2009 Seiji Kihara <kihara@osrg.net> 2.0.14-3
- Modified the name of a include header.

* Sat Jul 18 2009 Seiji Kihara <kihara@osrg.net> 2.0.13-2
- Added security fixes, which will be included upstream.

* Thu May 22 2008 Seiji Kihara <kihara@osrg.net> 2.0.2-1
- Added manual pages.

* Mon Mar 31 2008 Seiji Kihara <kihara@osrg.net> 2.0.1-1
- Initial build of nilfs2-utils.
